package ch.ivyteam.q.and.a;

import java.util.List;

import ch.ivyteam.ivy.environment.Ivy;
import ch.ivyteam.ivy.process.data.persistence.IIvyEntityManager;

/**
 * Sample DAO which accesses the in-memory DB.
 * @author Reguel Wermelinger
 */
public class CrmDao {

	public static List<Person> getCustomers(){
		return entityManager().findAll(Person.class);
	}

	public static void addCustomer(Person person){
		entityManager().merge(person);
	}
	
	private static IIvyEntityManager entityManager() {
		return Ivy.persistence().get("crm");
	}
	
}
